package com.datacloudsec.scan.tasks.scheduler.time;

import com.datacloudsec.exception.UEException;
import java.util.Calendar;

/* loaded from: com_datacloudsec_scan_tasks_scheduler_time.jar:com/datacloudsec/scan/tasks/scheduler/time/TimeMutilDay.class */
public class TimeMutilDay implements ITime {
    private int days;
    private int hour;
    private int minute;

    public TimeMutilDay(int days, int hour, int minute) {
        if (days < 0 || days > 31) {
            throw new UEException("days:0-31");
        }
        if (hour < 0 || hour > 23) {
            throw new UEException("hour:0-23");
        }
        if (minute < 0 || minute > 59) {
            throw new UEException("minute:0-59");
        }
        this.days = days;
        this.hour = hour;
        this.minute = minute;
    }

    @Override // com.datacloudsec.scan.tasks.scheduler.time.ITime
    public int calcSecond(long currTime) throws Exception {
        Calendar cale = Calendar.getInstance();
        cale.setTimeInMillis(currTime);
        if (this.days > 0) {
            cale.set(5, cale.get(5) + this.days);
        }
        cale.set(11, this.hour);
        cale.set(12, this.minute);
        cale.set(13, 0);
        long v = cale.getTimeInMillis();
        if (v <= currTime) {
            cale.set(5, cale.get(5) + 1);
            v = cale.getTimeInMillis();
        }
        return (int) ((v - currTime) / 1000);
    }
}
